ompi/mca/pml/ob1/pml_ob1_hdr.h File Reference.TH "ompi/mca/pml/ob1/pml_ob1_hdr.h" 3 "7 Dec 2005" "Version 0.1.1" "OpenMPI" \" -*- nroff -*-
.ad l
.nh
.SH NAME
ompi/mca/pml/ob1/pml_ob1_hdr.h \- 
.SH SYNOPSIS
.br
.PP
\fC#include 'ompi_config.h'\fP
.br

.SS "Defines"

.in +1c
.ti -1c
.RI "#define \fBMCA_PML_OB1_HDR_TYPE_MATCH\fP   1"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_HDR_TYPE_RNDV\fP   2"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_HDR_TYPE_RGET\fP   3"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_HDR_TYPE_ACK\fP   4"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_HDR_TYPE_NACK\fP   5"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_HDR_TYPE_FRAG\fP   6"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_HDR_TYPE_GET\fP   7"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_HDR_TYPE_PUT\fP   8"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_HDR_TYPE_FIN\fP   9"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_HDR_TYPE_MAX\fP   10"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_HDR_FLAGS_ACK\fP   1"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_HDR_FLAGS_NBO\fP   2"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_HDR_FLAGS_PIN\fP   4"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_HDR_FLAGS_CONTIG\fP   8"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_COMMON_HDR_NTOH\fP(h)"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_COMMON_HDR_HTON\fP(h)"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_MATCH_HDR_NTOH\fP(h)"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_MATCH_HDR_HTON\fP(h)"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_RNDV_HDR_NTOH\fP(h)"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_RNDV_HDR_HTON\fP(h)"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_FRAG_HDR_NTOH\fP(h)"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_FRAG_HDR_HTON\fP(h)"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_ACK_HDR_NTOH\fP(h)"
.br
.ti -1c
.RI "#define \fBMCA_PML_OB1_ACK_HDR_HTON\fP(h)"
.br
.in -1c
.SS "Typedefs"

.in +1c
.ti -1c
.RI "typedef \fBmca_pml_ob1_common_hdr_t\fP \fBmca_pml_ob1_common_hdr_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_pml_ob1_match_hdr_t\fP \fBmca_pml_ob1_match_hdr_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_pml_ob1_rendezvous_hdr_t\fP \fBmca_pml_ob1_rendezvous_hdr_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_pml_ob1_rget_hdr_t\fP \fBmca_pml_ob1_rget_hdr_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_pml_ob1_frag_hdr_t\fP \fBmca_pml_ob1_frag_hdr_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_pml_ob1_ack_hdr_t\fP \fBmca_pml_ob1_ack_hdr_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_pml_ob1_rdma_hdr_t\fP \fBmca_pml_ob1_rdma_hdr_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_pml_ob1_fin_hdr_t\fP \fBmca_pml_ob1_fin_hdr_t\fP"
.br
.ti -1c
.RI "typedef \fBmca_pml_ob1_hdr_t\fP \fBmca_pml_ob1_hdr_t\fP"
.br
.in -1c
.SS "Functions"

.in +1c
.ti -1c
.RI "static uint64_t \fBhton64\fP (uint64_t val)"
.br
.ti -1c
.RI "static uint64_t \fBntoh64\fP (uint64_t val)"
.br
.in -1c
.SH "Detailed Description"
.PP 

.SH "Define Documentation"
.PP 
.SS "#define MCA_PML_OB1_ACK_HDR_HTON(h)"
.PP
\fBValue:\fP
.PP
.nf
do { \
    MCA_PML_OB1_COMMON_HDR_HTON((h).hdr_common); \
    (h).hdr_dst_size = hton64((h).hdr_dst_size); \
    } while (0)
.fi
.SS "#define MCA_PML_OB1_ACK_HDR_NTOH(h)"
.PP
\fBValue:\fP
.PP
.nf
do { \
    MCA_PML_OB1_COMMON_HDR_NTOH(h.hdr_common); \
    (h).hdr_dst_size = ntoh64((h).hdr_dst_size); \
    } while (0)
.fi
.SS "#define MCA_PML_OB1_FRAG_HDR_HTON(h)"
.PP
\fBValue:\fP
.PP
.nf
do { \
    MCA_PML_OB1_COMMON_HDR_HTON((h).hdr_common); \
    (h).hdr_frag_offset = hton64((h).hdr_frag_offset); \
    } while (0)
.fi
.SS "#define MCA_PML_OB1_FRAG_HDR_NTOH(h)"
.PP
\fBValue:\fP
.PP
.nf
do { \
    MCA_PML_OB1_COMMON_HDR_NTOH((h).hdr_common); \
    (h).hdr_frag_offset = ntoh64((h).hdr_frag_offset); \
    } while (0)
.fi
.SS "#define MCA_PML_OB1_MATCH_HDR_HTON(h)"
.PP
\fBValue:\fP
.PP
.nf
do { \
    MCA_PML_OB1_COMMON_HDR_HTON((h).hdr_common); \
    (h).hdr_ctx = htons((h).hdr_ctx); \
    (h).hdr_src = htonl((h).hdr_src); \
    (h).hdr_tag = htonl((h).hdr_tag); \
    (h).hdr_seq = htons((h).hdr_seq); \
    } while (0)
.fi
.SS "#define MCA_PML_OB1_MATCH_HDR_NTOH(h)"
.PP
\fBValue:\fP
.PP
.nf
do { \
    MCA_PML_OB1_COMMON_HDR_NTOH((h).hdr_common); \
    (h).hdr_ctx = ntohs((h).hdr_ctx); \
    (h).hdr_src = ntohl((h).hdr_src); \
    (h).hdr_tag = ntohl((h).hdr_tag); \
    (h).hdr_seq = ntohs((h).hdr_seq); \
    } while (0)
.fi
.SS "#define MCA_PML_OB1_RNDV_HDR_HTON(h)"
.PP
\fBValue:\fP
.PP
.nf
do { \
    MCA_PML_OB1_MATCH_HDR_HTON((h).hdr_match); \
    (h).hdr_msg_length = hton64((h).hdr_msg_length); \
    } while (0)
.fi
.SS "#define MCA_PML_OB1_RNDV_HDR_NTOH(h)"
.PP
\fBValue:\fP
.PP
.nf
do { \
    MCA_PML_OB1_MATCH_HDR_NTOH((h).hdr_match); \
    (h).hdr_msg_length = ntoh64((h).hdr_msg_length); \
    } while (0)
.fi
.SH "Author"
.PP 
Generated automatically by Doxygen for OpenMPI from the source code.
